package com.xhkjedu.sexam.mapper.reportclass;

import com.xhkjedu.sexam.vo.report.ERankParamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EReportClassMapper {
    //试卷基本信息
    Map getPaperByExamSubjectId(@Param("rank") ERankParamVo rank);

    //试卷概况-题库
    List<Map> listTkSjGk(@Param("rank") ERankParamVo rank);

    //试卷概况-附件
    List<Map> listFjSjGk(@Param("rank") ERankParamVo rank);

    //试卷分析-大题分析
    List<Map> listType(@Param("rank") ERankParamVo rank);

    //试卷分析-小题分析
    List<Map> listQuestion(@Param("rank") ERankParamVo rank);

    //试卷分析-知识点分析
    List<Map> listPoint(@Param("rank") ERankParamVo rank);
}
